
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following cleanups:
- make a needlessly global function static
- #if 0 the unused global function dsp3780I_ReadGenCfg

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/mwave/3780i.c |    6 ++++--
 drivers/char/mwave/3780i.h |    4 ----
 2 files changed, 4 insertions(+), 6 deletions(-)

diff -puN drivers/char/mwave/3780i.c~drivers-char-mwave-3780ic-cleanups drivers/char/mwave/3780i.c
--- 25/drivers/char/mwave/3780i.c~drivers-char-mwave-3780ic-cleanups	2005-04-30 13:22:10.457058096 -0700
+++ 25-akpm/drivers/char/mwave/3780i.c	2005-04-30 13:22:10.464057032 -0700
@@ -107,8 +107,8 @@ void dsp3780I_WriteMsaCfg(unsigned short
 	spin_unlock_irqrestore(&dsp_lock, flags);
 }
 
-void dsp3780I_WriteGenCfg(unsigned short usDspBaseIO, unsigned uIndex,
-                          unsigned char ucValue)
+static void dsp3780I_WriteGenCfg(unsigned short usDspBaseIO, unsigned uIndex,
+				 unsigned char ucValue)
 {
 	DSP_ISA_SLAVE_CONTROL rSlaveControl;
 	DSP_ISA_SLAVE_CONTROL rSlaveControl_Save;
@@ -141,6 +141,7 @@ void dsp3780I_WriteGenCfg(unsigned short
 
 }
 
+#if 0
 unsigned char dsp3780I_ReadGenCfg(unsigned short usDspBaseIO,
                                   unsigned uIndex)
 {
@@ -167,6 +168,7 @@ unsigned char dsp3780I_ReadGenCfg(unsign
 
 	return ucValue;
 }
+#endif  /*  0  */
 
 int dsp3780I_EnableDSP(DSP_3780I_CONFIG_SETTINGS * pSettings,
                        unsigned short *pIrqMap,
diff -puN drivers/char/mwave/3780i.h~drivers-char-mwave-3780ic-cleanups drivers/char/mwave/3780i.h
--- 25/drivers/char/mwave/3780i.h~drivers-char-mwave-3780ic-cleanups	2005-04-30 13:22:10.458057944 -0700
+++ 25-akpm/drivers/char/mwave/3780i.h	2005-04-30 13:22:10.463057184 -0700
@@ -338,10 +338,6 @@ unsigned short dsp3780I_ReadMsaCfg(unsig
                                    unsigned long ulMsaAddr);
 void dsp3780I_WriteMsaCfg(unsigned short usDspBaseIO,
                           unsigned long ulMsaAddr, unsigned short usValue);
-void dsp3780I_WriteGenCfg(unsigned short usDspBaseIO, unsigned uIndex,
-                          unsigned char ucValue);
-unsigned char dsp3780I_ReadGenCfg(unsigned short usDspBaseIO,
-                                  unsigned uIndex);
 int dsp3780I_GetIPCSource(unsigned short usDspBaseIO,
                           unsigned short *pusIPCSource);
 
_
